Vertigo Vertigo VSC-2 - Virtual VCA Compressor Plug-In (Download)

Vertigo VSC-2 - Virtual VCA Compressor Plug-In (Download)

Vertigo VSC-2 - Virtual VCA Compressor Plug-In (Download)

B&H # VEVSC2 MFR # VSC-2
Electronic Download
Emailed within 1-3 Business Days

Product Highlights

  • Recreates VSC-2 Quad Discrete Compressor
  • Mastering and Stereo Mix Bus
  • Stereo and Dual Mono Modes
  • Audio Units
  • AAX, RTAS, AudioSuite
  • VST
  • Mac OS X
  • Windows
Show moreShow less

This item is noncancelable and nonreturnable

$0.00 Tax Collected Outside NY and NJ

Sugg Retail Price:  $299.00

Add to Wish List Item in Wish List

Vertigo VSC-2 overview

  • 1Description

The VSC-2 from Vertigo is a compressor plug-in based on the company's well respected VSC-2 Quad Discrete Compressor hardware. Made in close cooperation with Brainworx, the plug-in recreates all the fine nuances of the flagship VCA compressor.

An emphasis on precision makes the VSC-2 a first choice for mastering applications and the stereo mix bus
Although developed as a stereo bus compressor, each channel provides a complete set of controls which also makes the VSC-2 a dual mono "must have" in recording and mix situations
Offers the same flexibility and precision in the stereo version, and to emulate the dual mono approach of the hardware, a true mono version of the plug-in has been included as well
The original design is a nod toward the best VCA based compressors of the '70s and '80s
Table of Contents
  • 1Description

Vertigo VSC-2 specs

System Requirements Mac OS X
Intel CPU only (2 GHz or higher recommended)
OS X 10.6 Snow Leopard or higher
2 GB RAM
Display resolution of 1440 x 900, 1280 x 960 or higher
Audio Units, AAX Native, RTAS, AudioSuite, VST2.4, VST3 compatible host (Pro Tools 9.0 or higher)

PC
Intel-compatible CPU with SSE2 instruction set (Pentium 4 compatible or higher with at least 2 GHz processor recommended)
Windows XP or higher
2 GB RAM
Display resolution of 1440 x 900, 1280 x 960 or higher
AAX Native, RTAS, AudioSuite, VST2.4, VST3 compatible host (Pro Tools 9.0 or higher)

Vertigo VSC-2 reviews

Be the first to review this item

Vertigo VSC-2 Q&A

See any errors on this page? Let us know.